Mybb Hakkında Soru ve Sorunlarız, Yardım ve Destek için MybbDepo external Adresini Ziyaret Ediniz.
Sponsor Reklam

duyuru Güncel Duyurular!
Güncel MyBB Dökümanları.. Güncel + Orijinal MyBB Sürümleri..
bilgi mybb

Konuyu Oyla:
  • Derecelendirme: 5/5 - 2 oy
  • 1
  • 2
  • 3
  • 4
  • 5

Derecelendirme: 5/5 - 2 oy
[Bilgi] Eklenti Sürümlerini 1.8 Sürümüne Yükseltme İşlemi - [Ders]
#1
Bilgi 
MyBB 1.4 + 1.6 Eklenti Sürümlerini, 1.8 Sürümüne Uyarlama İşlemi - [Ders]

Merhaba arkadaşlar, değerli MyBB kullanıcıları,

Bu konumuzda, forumları 1.8 sürümüne yükselttiğimiz zaman eklenti yönetiminde çıkacak olan şu uyarının çözümünü anlatacağım.

mybb-plugin-versiyon-hata.png

Bu uyarı mesajını çözüme ulaştırmak için, hangi eklenti hata veriyorsa, ./plugins klasöründen bularak bilgisayarımıza indiriyoruz ve notepad++ programı ile açarak aşağıdaki resimde ''kırmızı kutu'' içinde imlediğim alanda eklenti sürümünü 1.8 sürümünde çalışacak şekilde ayarlıyoruz. Burada dikkat edilmesi gereken nokta, notepad++ ile dosyayı açtığınız zaman üsteki menüde yer alan ''UTF-8 Kodlaması (Bomsuz)'' seçeneğinin seçili olup olmadığını kontrol etmenizdir. Eğer, seçili değil ise mutlaka işlem yapmadan önce seçimi yapınız, aksi halde forumun hata vermesine neden olabilirsiniz..

mybb-plugin-versiyon-uyumu.png

Yapmanız gereken işlem oldukça basit ve düzenlemeniz gereken alan için uygulayacağınız alternatif çözümlerimiz bolca mevcut.

Düzenlenecek kısım:
PHP Kod:
"compatibility" => "16*" 

Yapılması gereken:
PHP Kod:
"compatibility" => "18*" 

Şöyle de olur ve tavsiye edilir:
PHP Kod:
'compatibility' => '*' 

Kod Açıklamaları:
PHP Kod:
'compatibility' => '14*'  Sadece 1.4.x serisi için
'compatibility' => '16*'  Sadece 1.6.x serisi için
'compatibility' => '18*'  Sadece 1.8.x serisi için
'compatibility' => '14*,16*,18*'  Tüm seriler için (1.41.61.8)
'compatibility' => '*'  Tüm seriler için (1.41.61.8

Bu arada resimdeki görüntü görüldüğü gibi google seo 1.6.8 sürümüne ait ve bu eklentinin mybb sürümü 1.8 olarak düzenlenirse sorunsuz bir şekilde çalışıyor bilginize. Eklenti yapımcısıda aynı şeyleri söylüyor.
PHP Kod:
http://community.mybb.com/thread-101262-post-1098669.html#pid1098669 

Son olarak şöyle bir durum daha var, Eklenti sürümü yükseltmek 1.8 sürümünde tam anlamı ile stabil çalışacağı garantisi verilmemekte çünkü, bilindiği gibi tema ve şablon sisteminde oldukça fazla değişiklikler yapıldı ve kimisi sorunsuz çalışırken kimiside aktif etseniz dahi görevini yapamayabilir. Bunun için de bizler elimizden gelen gayreti gösterip güncellenen eklentileri forumda paylaşacağız veya kendimiz bir şekilde uyarlamaya çalışacağız. Sürüm yükselttiğimiz halde çalışmıyorsa eğer yapacak birşey yok, güncellenmesini beklemekten başka ya da kendimiz güncellemekten başka..

(04.09.2014, Saat: 15:57)Smyrna35 Adlı Kullanıcıdan Alıntı:Hatırlatma: Bazı eklentilerin çalışabilmesi için PluginLibrary eklentisini yüklemeniz gerekmektedir. Ama PluginLibrary eklentisi 1.8 ile uyumlu olmadığı için bu konudaki gibi güncellemeniz gerekmektedir.

(04.09.2014, Saat: 23:27)EmreKarakaya Adlı Kullanıcıdan Alıntı:Arkadaşlar şu an Mybb 1.8 de çalışmayan eklentiler çoğunlukla ajax kullanan eklentilerdir.
MyBB.Com.TR Sağ Ok XpSerkan.Com Sağ Ok FB.Com/XpSerkan
Google: +MyBBGrup Sağ Ok FaceBook: #MyBBGrup Sağ Ok Twitter: @MyBBGrup Sağ Ok YouTube: ►MyBBGrup
MyBB Destek Sağ Ok MyBB Tema Sağ Ok MyBB Eklenti Sağ Ok MyBB Seo
≧◔◡◔≦ I Love You MyBB (>‿)
Ara
Cevapla

Bu Konudaki Yorumlar
Eklenti Sürümlerini 1.8 Sürümüne Yükseltme İşlemi - [Ders] - Yazar: xpserkan - 08.09.2014, Saat: 23:28

Konu ile Alakalı Benzer Konular
Konular Yazar Yorumlar Okunma Son Yorum
Onay [1.8] MyBB 1.8 - Sürümüne Güncelleme / Geçiş İşlemleri xpserkan 0 112,830 08.09.2014, Saat: 23:28
Son Yorum: xpserkan



Konuyu Okuyanlar: 2 Ziyaretçi
© 2009-2017 MyBB.Com.TR Internet Hizmetleri, MyBBGrup.Com Alt Kuruluşudur.

Web sitemiz dahilindeki tüm sayfalar, bu sayfaları gösteren tüm ekranlar ve içerdiği her türlü bilgi ve bağlı materyal, yerleşim ve öğeler, (çözüm ortaklarının logoları ve yasal hakları hariç) MyBB.Com.TR'ye aittir.
Yazılı izin olmaksızın ve kaynak belirtilmedikçe, (Kaynak göstererek alıntı yapılabilir.) kopyalanamaz ya da yayınlanamaz. MyBB.Com.TR sitesindeki içerik-ler 5070 sayılı kanun kapsamında dijital zaman damgasıyla ve DMCA tarafından korunmaktadır.
Tüm hakları, (insafiyet ile) saklıdır.
teknoloji forumu , tekel haberleri , Bft Türkiye , sunexpress uçak bileti , onur air uçak bileti , thy uçak bileti , Kodak Distribütörü , joyetech , elektronik sigara , just s , istick pico , joyetech ego aio , smok al85 kit , likit , evic vtwo mini , Transformers 5 Son Şövalye izle , torrent oyun indir , Türkçe dublaj filmler